Index: branches/Breadcrumbs/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBAlgorithmView.Designer.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBAlgorithmView.Designer.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBAlgorithmView.Designer.cs	(revision 11594)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBAlgorithmView.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBAlgorithmView.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBAlgorithmView.cs	(revision 11594)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBExperimentUploadView.Designer.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBExperimentUploadView.Designer.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBExperimentUploadView.Designer.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBExperimentUploadView.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBExperimentUploadView.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBExperimentUploadView.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBProblemView.Designer.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBProblemView.Designer.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBProblemView.Designer.cs	(revision 11594)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBProblemView.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBProblemView.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBProblemView.cs	(revision 11594)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBRunView.Designer.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBRunView.Designer.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBRunView.Designer.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/Breadcrumbs/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBRunView.cs
===================================================================
--- branches/Breadcrumbs/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBRunView.cs	(revision 10041)
+++ branches/Breadcrumbs/HeuristicLab.Clients.OKB.Views/3.3/RunCreation/Views/OKBRunView.cs	(revision 11594)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,4 +21,5 @@
 
 using System;
+using System.ComponentModel;
 using System.Windows.Forms;
 using HeuristicLab.Core.Views;
@@ -40,10 +41,10 @@
 
     protected override void DeregisterContentEvents() {
-      Content.StoredChanged -= new System.EventHandler(Content_StoredChanged);
+      Content.PropertyChanged -= Content_PropertyChanged;
       base.DeregisterContentEvents();
     }
     protected override void RegisterContentEvents() {
       base.RegisterContentEvents();
-      Content.StoredChanged += new System.EventHandler(Content_StoredChanged);
+      Content.PropertyChanged += Content_PropertyChanged;
     }
 
@@ -59,6 +60,7 @@
 
     #region Content Events
-    private void Content_StoredChanged(object sender, System.EventArgs e) {
-      storeButton.Enabled = !Content.Stored;
+    private void Content_PropertyChanged(object sender, PropertyChangedEventArgs e) {
+      if (e.PropertyName == "Stored")
+        storeButton.Enabled = !Content.Stored;
     }
     #endregion
@@ -68,10 +70,8 @@
       try {
         Content.Store();
-      }
-      catch (MissingClientRegistrationException) {
+      } catch (MissingClientRegistrationException) {
         MessageBox.Show("You have to register your client to be able to store OKB runs." + Environment.NewLine
           + " Please click in the menu bar on Services -> Access -> Client Information and register your client. ", "Missing client registration", MessageBoxButtons.OK, MessageBoxIcon.Information);
-      }
-      catch (Exception ex) {
+      } catch (Exception ex) {
         ErrorHandling.ShowErrorDialog(this, "Store failed.", ex);
       }
